## python-dbus-next 0.2.3

=== Makefile ===
.PHONY: lint check format test docker-test clean publish docs livedocs all
.DEFAULT_GOAL := all

source_dirs = dbus_next test examples

lint:
	python3 -m flake8 $(source_dirs)

check: lint
	python3 -m yapf -rdp $(source_dirs)

format:
	python3 -m yapf -rip $(source_dirs)

test:
	for py in python3.6 python3.7 python3.9 python3.10 python3.8 ; do \
		if hash $$py; then \
			dbus-run-session $$py -m pytest -sv --cov=dbus_next || exit 1 ; \
		fi \
	done \

docker-test:
	docker build -t dbus-next-test .
	docker run -it dbus-next-test

clean:
	rm -rf dist dbus_next.egg-info build docs/_build
	rm -rf `find -type d -name __pycache__`

publish:
	python3 setup.py sdist bdist_wheel
	python3 -m twine upload --repository-url https://upload.pypi.org/legacy/ dist/*

docs:
	sphinx-build docs docs/_build/html

livedocs:
	sphinx-autobuild docs docs/_build/html --watch dbus_next

all: format lint test

=== requirements.txt ===
# This library has no required dependencies. These dependencies are only for
# running the test suite and documentation generator.

pytest==6.2.2
pytest-asyncio==0.14.0
pytest-timeout==1.4.2
pytest-cov==2.11.1
yapf==0.31.0
flake8==3.9.0
Sphinx==3.5.3
sphinx-autobuild==2021.3.14
sphinxcontrib-asyncio==0.3.0
sphinxcontrib-fulltoc==1.2.0
## The following requirements were added by pip freeze:
alabaster==0.7.12
attrs==20.3.0
Babel==2.9.0
certifi==2020.12.5
chardet==4.0.0
colorama==0.4.4
coverage==5.5
docutils==0.16
idna==2.10
imagesize==1.2.0
iniconfig==1.1.1
Jinja2==2.11.3
livereload==2.6.3
MarkupSafe==1.1.1
mccabe==0.6.1
packaging==20.9
pluggy==0.13.1
py==1.10.0
pycodestyle==2.7.0
pyflakes==2.3.0
Pygments==2.8.1
pyparsing==2.4.7
pytz==2021.1
requests==2.25.1
six==1.15.0
snowballstemmer==2.1.0
sphinxcontrib-applehelp==1.0.2
sphinxcontrib-devhelp==1.0.2
sphinxcontrib-htmlhelp==1.0.3
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.3
sphinxcontrib-serializinghtml==1.1.4
toml==0.10.2
tornado==6.1
urllib3==1.26.5

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = dbus-next
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-dbus-next (0.2.3-6) unstable; urgency=medium

  * QA upload.
  * Add debian/salsa-ci.yml
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Apply Multi-Arch hint
  * Rewrite d/watch in v5 format
  * Rename file under debian/ for debhelper 14/15 compatibility

 -- Alexandre Detiste <tchet@debian.org>  Thu, 05 Feb 2026 00:41:28 +0100

python-dbus-next (0.2.3-5) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see: #1093572)
  * debian/control: Enable autopkgtest via Testsuite field.
  * debian/copyright:
    - Align name in debian stanza.
    - Update packaging copyright information.

 -- Leonardo Rodrigues Pereira <leontecnicalonline@gmail.com>  Sat, 18 Oct 2025 12:01:50 -0300

python-dbus-next (0.2.3-4) unstable; urgency=medium

  * Team upload.
  * Orphan the package. (See #1093572)

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jan 2025 19:15:00 -0500

python-dbus-next (0.2.3-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 18:42:41 +0100

python-dbus-next (0.2.3-2) unstable; urgency=medium

  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Jul 2022 15:30:30 -0400

python-dbus-next (0.2.3-1) unstable; urgency=medium

  * Initial release.

 -- Boyuan Yang <byang@debian.org>  Tue, 05 Jul 2022 10:32:58 -0400

=== debian/control ===
Source: python-dbus-next
Section: python
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3,
 python3-setuptools,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-timeout <!nocheck>,
 python3-sphinx <!nocheck>,
 python3-docutils <!nocheck>,
 python3-packaging <!nocheck>,
 python3-gi <!nocheck>,
Standards-Version: 4.7.3
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/altdesktop/python-dbus-next
Vcs-Git: https://salsa.debian.org/python-team/packages/python-dbus-next.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-dbus-next

Package: python3-dbus-next
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-gi:any,
Description: Next great DBus library for Python
 python-dbus-next is a Python library for DBus that aims to be a fully
 featured high level library primarily geared towards integration of
 applications into Linux desktop and mobile environments.
 .
 Desktop application developers can use this library for integrating
 their applications into desktop environments by implementing common
 DBus standard interfaces or creating custom plugin interfaces.
 .
 Desktop users can use this library to create their own scripts and
 utilities to interact with those interfaces for customization of their
 desktop environment.

=== debian/watch ===
Version: 5

Template: GitHub
Owner: altdesktop
Project: python-dbus-next
